
package jp.riken.brain.ni.samuraigraph.figure.java2d;

import jp.riken.brain.ni.samuraigraph.base.SGTuple2f;
import jp.riken.brain.ni.samuraigraph.figure.*;

/**
 * 
 */
public abstract class SGElementGroupVXY extends SGElementGroup
{

	/**
	 * 
	 */
	public SGElementGroupVXY()
	{
		super();
	}


	protected abstract boolean initDrawingElement(
		final SGTuple2f[] startArray, final SGTuple2f[] endArray );


	/**
	 * Set the location of points.
	 * 
	 */
	public abstract boolean setLocation(
		SGTuple2f[] startArray, SGTuple2f[] endArray );



}
